package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tdm;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TdmMapper {

    int insert(Tdm record);

    int insertSelective(Tdm record);

    int updateByPrimaryKeySelective(Tdm record);

    int updateByPrimaryKey(Tdm record);

    int deleteByPrimaryKey(Tdm record);

    int deleteByIds(Collection<Object> collection);

    Tdm selectByPrimaryKey(Tdm record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tdm> dyncRead(Map<String, Object> dyncMap);

}